.hw-top-sec-n,
.hw-res-section,
.re-work-container,
.hw-modal-house-section,
.hw-banner-section,
.hw-sns-section,
.hw-home-blog,
.hw-event-section,
.hw-last-section {
  margin-top: 90px;
  padding-bottom: 20px;
}

.hw-res-section {
  margin-top: 30px;
  padding-top: 50px;
  overflow: hidden;
}

/* Center the title */
.section-title {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: clamp(30px, 3vw, 40px);
  font-weight: bold;
  margin-bottom: 30px;
}

/* Style for the slashes */
.slash {
  margin: 0 15px;
  font-size: clamp(30px, 3vw, 40px);
}

/* Style for the main text */
.title-text {
  font-family: "Noto Sans JP", sans-serif;
  font-size: clamp(30px, 3vw, 40px);
  /* Japanese font for better appearance */
  letter-spacing: 0.1em;
}

.slick-slide {
  margin: 0px 1vw;
}

.slick-slide img {
  width: 100%;
}

.slick-slider {
  position: relative;
  display: block;
  box-sizing: border-box;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-touch-callout: none;
  -khtml-user-select: none;
  -ms-touch-action: pan-y;
  touch-action: pan-y;
  -webkit-tap-highlight-color: transparent;
}

.slick-list {
  position: relative;
  display: block;
  overflow: hidden;
  margin: 0;
  padding: 0;
}

.slick-list:focus {
  outline: none;
}

.slick-list.dragging {
  cursor: pointer;
  cursor: hand;
}

.slick-slider .slick-track,
.slick-slider .slick-list {
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  -ms-transform: translate3d(0, 0, 0);
  -o-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
}

.slick-track {
  position: relative;
  top: 0;
  left: 0;
  display: block;
}

.slick-track:before,
.slick-track:after {
  display: table;
  content: "";
}

.slick-track:after {
  clear: both;
}

.slick-loading .slick-track {
  visibility: hidden;
}

.slick-slide {
  display: none;
  float: left;
  height: 100%;
  min-height: 1px;
}

[dir="rtl"] .slick-slide {
  float: right;
}

/*.slick-slide img*/
/*{*/
/*    display: block;*/
/*}*/
.slick-slide.slick-loading img {
  display: none;
}

.slick-slide.dragging img {
  pointer-events: none;
}

.slick-initialized .slick-slide {
  display: block;
  border: 1px solid #b0b0b0;
}

/*.slick-loading .slick-slide*/
/*{*/
/*    visibility: hidden;*/
/*}*/
/*.slick-vertical .slick-slide*/
/*{*/
/*    display: block;*/
/*    height: auto;*/
/*    border: 1px solid transparent;*/
/*}*/
/*.slick-arrow.slick-hidden {*/
/*    display: none;*/
/*}*/

.slick-dots {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 5px;
  margin-top: 10px;
}

.slick-dots .custom-dot {
  width: 10px;
  height: 10px;
  background-color: #ccc;
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.slick-dots .slick-active .custom-dot {
  background-color: #000;
}

/* @media (max-width: 768px) {
.slick-slide{
    margin: 0px 10px;
}
} */

.h-view-m-wrap {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.h-view-more {
  margin-top: 20px;
  background: var(--green) 0% 0% no-repeat padding-box;
  padding: 15px 23px;
  color: #ffff;
  width: 220px;
  text-decoration: none;
  border-radius: 2px;
  font-size: 18px;
  position: relative;
  text-align: center;
}

.h-view-more:after {
  position: absolute;
  content: "";
  height: 53px;
  width: 220px;
  top: 8px;
  left: 5px;
  border-radius: 2px;
  border: 1px solid #5a5a5a;
  z-index: -1;
}

.h-view-more:hover {
  background-color: #00b846;
}

/* Slider Container */
.blog-slick-slider-container {
  /* min-width: 576px; */
  width: 100%;
  margin: auto;
  overflow: hidden;
}

/* Styling for the individual slides */
.blog-slick-slide-item {
  padding: 7px;
  box-shadow: 0px 3px 6px #00000029;
  border: 0.5px solid #b0b0b0;
  border-radius: 5px;
}

.blog-slick-slide-item figure {
  height: clamp(140px, 28vw, 180px);
  width: 100%;
  border-radius: 5px;
  overflow: hidden;
}

.blog-slick-slide-item figure img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.blog-slick-slide-item h3 {
  font-size: clamp(16px, 2vw, 18px);
  text-align: left;
  margin-top: 10px;
  margin-bottom: 10px;
}

.blog-slick-slide-item-a {
  display: flex;
  justify-content: center;
  text-decoration: none;
  background: var(--green) 0% 0% no-repeat padding-box;
  color: #ffff;
  text-align: center;
  justify-content: center;
  width: 120px;
  padding: 3px;
  margin: 0 auto;
  border-radius: 5px;
}

/* Slick Slider Custom Settings */
.blog-slick-slider .slick-slide {
  transform: scale(1);
  transition: all 0.3s ease;
}

.blog-slick-slider .slick-center {
  opacity: 1;
  transform: scale(1);
  z-index: 1;
}

.blog-slick-slider .slick-list {
  overflow: visible;
}

.blog-slick-slider .slick-slide {
  transition: transform 0.3s ease;
}

/* .customer-logos {
  min-width: 576px;
} */
.customer-logos .slide a {
  cursor: pointer;
}

.can-reserve-wrap {
  max-width: 820px;
  width: 100%;
  height: 350px;
  margin: 0 auto;
  background-color: var(--green);
  position: relative;
}

.reserve-label {
  position: absolute;
  top: 0;
  right: 0;
  height: 10px;
  width: 10px;
  background-color: aqua;
  z-index: 1;
}

.res-container {
  background-color: #707070;
  background-image: url(../images/index-new/res-bg.png);
  max-width: 820px;
  position: relative;
  margin: 20px auto;
  padding: 20px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  text-align: center;
  border: 1px solid #ddd;
  z-index: 1;
}

.res-bg {
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 70px;
  background-color: #6c2626;
}

.res-title {
  font-size: clamp(30px, 3vw, 40px);
  font-weight: bold;
  margin-bottom: 20px;
}

.res-images {
  display: flex;
  justify-content: space-between;
  gap: 10px;
  margin-bottom: 20px;
}

.res-images img {
  width: 22%;
  height: auto;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.res-buttons {
  display: flex;
  justify-content: space-evenly;
  margin: 20px 0;
}

.res-button {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
  padding: 15px 23px;
  background-color: var(--green);
  color: #ffffff;
  border-radius: 5px;
  font-size: 20px;
  cursor: pointer;
  text-decoration: none;
  box-shadow: 5px 5px 0px #ffffff;
}

.res-phone {
  font-weight: bold;
}

.res-button .res-icon {
  font-size: 20px;
  font-weight: bold;
}

.res-label {
  position: absolute;
  top: -65px;
  right: -20px;
}

.res-label svg {
  width: 150px;
}

.res-label span {
  display: flex;
  color: #fff;
  flex-direction: column;
  align-items: center;
  position: absolute;
  top: 35%;
  left: 33%;
  font-size: 12px;
}

@media (max-width: 768px) {
  .res-images {
    flex-wrap: wrap;
  }

  .res-buttons {
    flex-direction: column;
    gap: 20px;
    align-items: center;
  }

  .res-button {
    max-width: 280px;
    width: 100%;
  }

  .res-images img {
    width: 47%;
  }
}

@media (max-width: 600px) {
  .hw-res-section {
    padding-top: 0px;
    margin-top: 15px;
  }
  .res-container {
    padding: 10px;
  }

  .res-label {
    display: none;
  }

  .res-button {
    padding: 10px;
    font-size: 18px;
  }
}

/* -------- */

.re-work-container {
  /* min-width: 576px; */
  margin: 40px auto;
  text-align: center;
}

.re-work-title {
  font-size: 32px;
  font-weight: bold;
  margin-bottom: 20px;
  position: relative;
}

.re-work-title::after {
  content: "／";
  font-size: 24px;
  position: absolute;
  bottom: -5px;
  left: 50%;
  transform: translateX(-50%);
  color: black;
}

.re-work-images-section {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: clamp(20px, 5vw, 60px);
}

.re-work-image-card {
  background-color: #ffffff;
  border: 1px solid #ddd;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  position: relative;
  display: flex;
  flex-direction: column;
  border-bottom: 4px solid var(--green);
}

.re-work-image-card a {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.re-work-image-card figure {
  width: 100%;
  height: clamp(160px, 20vw, 350px);
  overflow: hidden;
}

.re-work-image {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.re-work-card-text {
  padding: clamp(10px, 1vw, 15px);
  text-align: left;
  position: relative;
}

.re-work-heading {
  font-size: clamp(18px, 1vw, 22px);
  font-weight: bold;
  margin: 0;
}

.re-work-card-text p {
  font-size: 14px;
  color: #666;
  margin-top: 5px;
}

.re-work-arrow {
  font-size: 20px;
  color: var(--green);
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
}

.hw-modal-house-section {
  position: relative;
  background-image: url(../images/index-new/modal-house-bg-banner.png);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  padding: 30px;
  /* min-width: 576px; */
  color: white;
  overflow: hidden;
}

.hw-modal-house-section .h-view-m-wrap a {
  z-index: 4;
}

.hw-modal-house-section .h-view-m-wrap .h-view-more:after {
  border: 0px solid #ffffff;
}

/* .hw-modal-house-section::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
} */

.hw-modal-house-section * {
  position: relative;
  z-index: 2;
}

.re-modal-house {
  width: 100%;
  position: relative;
}

.re-modal-house img {
  width: 100%;
  height: 100%;
}

.re-top-banner {
  display: grid;
  gap: 40px;
  grid-template-columns: repeat(auto-fill, minmax(345px, 1fr));
}

.re-top-banner a img {
  width: 100%;
  height: 100%;
  transition: transform 0.3s ease-in-out; /* Smooth transition for transform */
}

.re-top-banner a:hover img {
  transform: scale(0.95); /* Scale effect on hover */
}

@media (max-width: 1200px) {
  .re-top-banner {
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  }
}

@media (max-width: 768px) {
  .re-top-banner {
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  }
}
.re-m-h-mb {
  display: none;
}

@media (max-width: 576px) {
  .hw-modal-house-section {
    padding: 30px 0px;
  }
  .re-work-images-section {
    grid-template-columns: 1fr;
    max-width: 480px;
    margin: 0 auto;
  }

  .re-work-image-card figure {
    width: 100%;
    height: clamp(219px, 20vw, 350px);
    overflow: hidden;
  }
  .re-m-h-pc {
    display: none;
  }
  .re-m-h-mb {
    display: block;
  }
}

.re-sns-banner {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 1%;
  justify-content: space-between;
}

.re-sns-banner a:first-child {
  width: 100%;
  margin-bottom: 15px;
}

.re-sns-banner a {
  width: 49%;
}

.re-sns-banner a img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

@media (max-width: 576px) {
  .re-sns-banner {
    flex-direction: column;
  }

  .re-sns-banner a {
    width: 100%;
    margin-bottom: 15px;
  }
}

.rev-event-wrap {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  flex-wrap: wrap;
  gap: 20px;
}

.rev-event-items {
  width: 23%;
  display: flex;
  overflow: hidden;
  border: 1px solid #989898;
  background: #ffffff 0% 0% no-repeat padding-box;
  border-radius: 5px;
  padding: 5px;
  text-decoration: none;
  margin-bottom: 15px;
  flex-direction: column;
  justify-content: space-between;
}

.rev-event-items figure {
  /* height: clamp(180px, 20vw, 220px); */
  margin-bottom: 10px;
}

.rev-event-items img {
  height: 100%;
  width: 100%;
  margin-bottom: 5px;
  object-fit: cover;
}

.rev-event-items h3 {
  font-size: 16px;
  color: #000;
  text-align: left;
  margin-bottom: 5px;
}

.rev-d-t {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.rev-d-t span {
  color: #707070;
  font-size: 14px;
  letter-spacing: normal;
}

.rev-d-t i {
  color: red;
}

@media (max-width: 768px) {
  .rev-event-items {
    width: 48%;
  }
}

@media (max-width: 576px) {
  .rev-event-wrap {
    max-width: 480px;
    margin: 0 auto;
  }

  .rev-event-items {
    width: 100%;
  }

  .rev-event-items figure {
    /* height: clamp(200px, 50vw, 280px); */
  }

  .rev-event-items h3 {
    font-size: clamp(20px, 2vw, 22px);
  }
}

.hw-last-section {
  position: relative;
  background-image: url(../images/index-new/hw-last-bg.jpeg);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  padding: 30px;
  /* min-width: 576px; */
  color: white;
  overflow: hidden;
}

.hw-last-section::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.5);
  /* Semi-transparent black overlay */
  z-index: 1;
  /* Places the overlay behind the text */
}

.hw-last-section * {
  position: relative;
  /* Ensures content appears above the overlay */
  z-index: 2;
}

.last-items-wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 10px;
}

.li-wrap-first {
  width: 49% !important;
  border: 0px solid #fff !important;
}

.li-wrap-first .outlined-text {
  font-size: clamp(44px, 5vw, 80px);
  font-weight: bold;
  color: transparent;
  /* Makes the text itself transparent */
  -webkit-text-stroke: 1px rgb(255, 255, 255);
  /* Adds an outline to the text */
}

.li-wrap-first p {
  color: white;
}

.li-wrap {
  width: 23.5%;
  margin-bottom: 10px;
}

.li-inner {
  height: clamp(100px, 17vw, 210px);
  position: relative;
  margin: 20px;
  display: flex;
  text-align: center;
  flex-direction: column;
  align-content: center;
  justify-content: center;
}

.li-inner i {
  font-size: 30px;
  margin-bottom: 5px;
}

.li-inner h3 {
  margin-bottom: 5px;
}

.li-inner span {
  text-decoration: none;
  width: 110px;
  margin: 0 auto;
  padding: 3px 10px;
}

.li-wrap:nth-child(3),
.li-wrap:nth-child(4),
.li-wrap:nth-child(6) {
  background: #ffffffcc 0% 0% no-repeat padding-box;
  color: black;
}

.li-wrap:nth-child(2),
.li-wrap:nth-child(5),
.li-wrap:nth-child(7) {
  color: #fff;
  background: #00000099 0% 0% no-repeat padding-box;
}

.li-wrap:nth-child(3) .li-inner span,
.li-wrap:nth-child(4) .li-inner span,
.li-wrap:nth-child(6) .li-inner span {
  color: white;
  background: black;
  border-radius: 5px;
}
.li-wrap:nth-child(3) .li-inner,
.li-wrap:nth-child(4) .li-inner,
.li-wrap:nth-child(6) .li-inner {
  border: 1px solid #000 !important;
}
.li-wrap:nth-child(2) .li-inner,
.li-wrap:nth-child(5) .li-inner,
.li-wrap:nth-child(7) .li-inner {
  border: 1px solid white !important;
}

.li-wrap:nth-child(2) .li-inner span,
.li-wrap:nth-child(5) .li-inner span,
.li-wrap:nth-child(7) .li-inner span {
  color: black;
  background: white;
  border-radius: 5px;
}

@media (max-width: 992px) {
  .li-wrap-first {
    width: 100% !important;
    text-align: center;
    padding-bottom: 20px;
  }

  .li-wrap {
    width: 32%;
    margin: auto 0;
  }

  .li-inner {
    height: clamp(150px, 20vw, 220px);
    position: relative;
    margin: 15px;
    display: flex;
    text-align: center;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    border: 1px solid black;
  }
  .li-wrap:nth-child(3),
  .li-wrap:nth-child(5),
  .li-wrap:nth-child(7) {
    background: #ffffffcc 0% 0% no-repeat padding-box;
    color: black;
  }

  .li-wrap:nth-child(2),
  .li-wrap:nth-child(4),
  .li-wrap:nth-child(6) {
    color: #fff;
    background: #00000099 0% 0% no-repeat padding-box;
  }

  .li-wrap:nth-child(3) .li-inner span,
  .li-wrap:nth-child(5) .li-inner span,
  .li-wrap:nth-child(7) .li-inner span {
    color: white;
    background: black;
    border-radius: 5px;
  }
  .li-wrap:nth-child(3) .li-inner,
  .li-wrap:nth-child(5) .li-inner,
  .li-wrap:nth-child(7) .li-inner {
    border: 1px solid #000 !important;
  }
  .li-wrap:nth-child(2) .li-inner,
  .li-wrap:nth-child(4) .li-inner,
  .li-wrap:nth-child(6) .li-inner {
    border: 1px solid white !important;
  }

  .li-wrap:nth-child(2) .li-inner span,
  .li-wrap:nth-child(4) .li-inner span,
  .li-wrap:nth-child(6) .li-inner span {
    color: black;
    background: white;
    border-radius: 5px;
  }
}

@media (max-width: 768px) {
  .li-wrap-first {
    width: 100% !important;
    border: 0px solid #fff !important;
  }

  .li-wrap {
    width: 48%;
    margin: auto 0;
  }

  .li-inner {
    height: clamp(150px, 20vw, 220px);
    margin: 15px;
  }
  .li-wrap:nth-child(3),
  .li-wrap:nth-child(4),
  .li-wrap:nth-child(7) {
    background: #ffffffcc 0% 0% no-repeat padding-box;
    color: black;
  }

  .li-wrap:nth-child(2),
  .li-wrap:nth-child(5),
  .li-wrap:nth-child(6) {
    color: #fff;
    background: #00000099 0% 0% no-repeat padding-box;
  }

  .li-wrap:nth-child(3) .li-inner span,
  .li-wrap:nth-child(4) .li-inner span,
  .li-wrap:nth-child(7) .li-inner span {
    color: white;
    background: black;
    border-radius: 5px;
  }
  .li-wrap:nth-child(3) .li-inner,
  .li-wrap:nth-child(4) .li-inner,
  .li-wrap:nth-child(7) .li-inner {
    border: 1px solid #000 !important;
  }

  .li-wrap:nth-child(2) .li-inner,
  .li-wrap:nth-child(5) .li-inner,
  .li-wrap:nth-child(6) .li-inner {
    border: 1px solid white !important;
  }

  .li-wrap:nth-child(2) .li-inner span,
  .li-wrap:nth-child(5) .li-inner span,
  .li-wrap:nth-child(6) .li-inner span {
    color: black;
    background: white;
    border-radius: 5px;
  }
}
@media (max-width: 420px) {
  .hw-last-section {
    padding: 30px 0px;
  }
  .li-inner h3 {
    font-size: 12px;
  }
  .li-inner span {
    font-size: 12px;
  }
}

@media (max-width: 375px) {
  .li-inner {
    height: clamp(100px, 20vw, 220px);
    margin: 10px;
  }
  .li-inner span {
    width: 90px;
  }
  .s-container {
    padding-right: 7px;
    padding-left: 7px;
  }
}
